Get name details

export
interface

  BnsGetNameInfoResponse

### Hierarchy

- BnsGetNameInfoResponse

## Index

### Properties

- address
- blockchain
- expire_block
- grace_period
- last_txid
- resolver
- status
- zonefile
- zonefile_hash

## Properties

### address

address: string

- Defined in src/generated/models/BnsGetNameInfoResponse.ts:27

memberof

  BnsGetNameInfoResponse

### blockchain

blockchain: string

- Defined in src/generated/models/BnsGetNameInfoResponse.ts:33

memberof

  BnsGetNameInfoResponse

### Optional expire_block

expire_block: number

- Defined in src/generated/models/BnsGetNameInfoResponse.ts:39

memberof

  BnsGetNameInfoResponse

### Optional grace_period

grace_period: number

- Defined in src/generated/models/BnsGetNameInfoResponse.ts:45

memberof

  BnsGetNameInfoResponse

### last_txid

last_txid: string

- Defined in src/generated/models/BnsGetNameInfoResponse.ts:51

memberof

  BnsGetNameInfoResponse

### Optional resolver

resolver: string

- Defined in src/generated/models/BnsGetNameInfoResponse.ts:57

memberof

  BnsGetNameInfoResponse

### status

status: string

- Defined in src/generated/models/BnsGetNameInfoResponse.ts:63

memberof

  BnsGetNameInfoResponse

### zonefile

zonefile: string

- Defined in src/generated/models/BnsGetNameInfoResponse.ts:69

memberof

  BnsGetNameInfoResponse

### zonefile_hash

zonefile_hash: string

- Defined in src/generated/models/BnsGetNameInfoResponse.ts:75

memberof

  BnsGetNameInfoResponse

Generated using TypeDoc